### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.publish.archive

# Interface ArchiveTransportInterface

All Superinterfaces:
  `TransportInterface`

@SASScope("ALL") @BinaryCompatibilityOnly public interface ArchiveTransportInterface extends TransportInterface
The ArchiveTransportInterface provides a mechanism for publishing a result package to an archive, and for retrieving a result package from an archive. An archive is a result set package that is compressed and saved to a directory file. The archive contains the contents of a package and metadata that is necessary for extracting the contents. An archive is compressed using ZIP compression and is saved with an SPK extension.

See Also:
  - `TransportFactory`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getExtractionDirectoryName()`
  Returns the name of the directory used to extract nested packages.
  `String`
  `getName()`
  Returns the name of the archive file.
  `void`
  `setExtractionDirectoryName(String directoryName)`
  Sets the name of the directory to use when extracting nested packages.

  ### Methods inherited from interface com.sas.services.publish.TransportInterface

  `getLogger, getResultPackage, getSessionContext, publishResultPackage, setLogger`

- ## Method Details

  - ### getName

    String getName()
    Returns the name of the archive file.
    Returns:
      `String` The name of the archive file.

  - ### setExtractionDirectoryName

    void setExtractionDirectoryName(String directoryName)
    Sets the name of the directory to use when extracting nested packages. This extraction directory is only used when a result package is retrieved. If an extraction directory is not set, a temporary file will be created to extract nested packages.
    Parameters:
      `directoryName` - The name of the extraction directory.

  - ### getExtractionDirectoryName

    String getExtractionDirectoryName()
    Returns the name of the directory used to extract nested packages.
    Returns:
      `String` The name of the extraction directory; can be null;